%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        12.5.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.5.0
Patch0001: 0001-Expose-rx-tx_queue_size.patch
Patch0002: 0002-Lift-restriction-of-choices-for-cpu_model_extra_flag.patch
Patch0003: 0003-Expost-cpu_weight_mulitiplier-config-parameter.patch
Patch0004: 0004-downstream-only-Add-scheduler-workers-support.patch
Patch0005: 0005-Allow-the-cpu_shared_set-to-be-configurable.patch
Patch0006: 0006-NUMA-aware-vswitches.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Thu Oct 10 2019 Steve Linabery <slinaber@redhat.com> 12.5.0-1
- Update to 12.5.0
- NUMA aware vswitches (rhbz#1611997)
- Allow the cpu_shared_set to be configurable (rhbz#1656069)
- [downstream-only] Add scheduler workers support (rhbz#1656495)
- Expost cpu_weight_mulitiplier config parameter (rhbz#1582406)
- Lift restriction of choices for 'cpu_model_extra_flags' (rhbz#1579691)
- Expose rx/tx_queue_size (rhbz#1571737)

* Wed Sep 04 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-25
- Adds tls_priority parameter to nova::compute::libvirt (rhbz#1740575)

* Wed Sep 04 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-24
- Adds log_filters parameter to nova::compute::libvirt (rhbz#1745007)

* Fri Aug 02 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-23
- Expose 'mem_stats_period_seconds' config parameter (rhbz#1701509)

* Thu Aug 01 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-22
- Add functionality to manage /etc/sysconfig/libvirt-guests (rhbz#1706992)

* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-21
- Adds functionality to modudify the nfs clients mount options (rhbz#1650949)

* Fri Jun 07 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-20
- Add cinder credentials in nova conf (rhbz#1691842)

* Wed May 15 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-19
- Include nova::availability_zone in scheduler.pp (rhbz#1698712)

* Wed May 15 2019 Martin Schuppert <mschuppert@redhat.com> 12.4.0-18
- NUMA aware vswitches (rhbz#1611997)

* Thu Mar 14 2019 Piotr Kopec <pkopec@redhat.com> 12.4.0-17
- Expose devices/enabled_vgpu_types config option (rhbz#1683166)

* Tue Feb 12 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-16
- Fixup functions for 5.5.7+
- Add 'openstack-db' tag to db-sync Exec resource

* Mon Jan 14 2019 Rajesh Tailor <ratailor@redhat.com> 12.4.0-15
- Allow the cpu_shared_set to be configurable (rhbz#1656069)

* Wed Dec 12 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-14
- [downstream-only] Add scheduler workers support (rhbz#1656495)

* Thu Nov 22 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-13
- Support for libvirt volume multipath (rhbz#1644018)

* Tue Nov 20 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-12
- Fixup functions for 5.5.7+
- Add 'openstack-db' tag to db-sync Exec resource

* Mon Nov 19 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-11
- Deprecate unused notify_on_api_faults parameter (rhbz#1617373)
- Deprecate notify_api_faults for notify_on_api_faults (rhbz#1617373)

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-10
- Deprecate unused image_service parameter
- Update Gemfile to pull spec_helper from stable/queens
- Make providers use auth_url for authentication
- Remove unused osapi_volume_listen parameter (rhbz#1616133)
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576750)
- Add the option to only aggregate hosts that are known by openstack to be active

* Thu Aug 16 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-9
- Add sleep in nova cron jobs (rhbz#1603015)

* Thu Aug 16 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-8
- Expost cpu_weight_mulitiplier config parameter (rhbz#1582406)

* Mon Aug 13 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-7
- Add VNC SSL options (rhbz#1613161)

* Mon Jul 30 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-6
- Lift restriction of choices for 'cpu_model_extra_flags' (rhbz#1579691)

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-5
- Add aggregate metadata unset support to nova_aggregate
- Expose reserved_huge_pages param

* Tue Jul 24 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-4
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576750)

* Tue May 01 2018 Oliver Walsh <owalsh@redhat.com> 12.4.0-3
- Expose rx/tx_queue_size (rhbz#1571737)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Handle libvirt/cpu_model_extra_flags option
- Add the option to only aggregate hosts that are known by openstack to be active

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Wed Feb 21 2018 Haikel Guemar <hguemar@fedoraproject.org> 12.3.0-1
- Update to 12.3.0


